#### D.5.12.8 EOrdlist

Procedure from library `resbinomial.lib` (see resbinomial_lib).

Usage:
  EOrdlist(Coef,Exp,k,n,flaglist);
  Coef,Exp,flaglist lists, k,n, integers
  Exp is a list of lists of exponents, k=size(Exp)

Compute:
  computes de E-order of an ideal given by a list (Coef,Exp) and extra information

Return:
  maximal E-order, and its position=number of generator and term

Example:

    LIB "resbinomial.lib";
    ring r = 0,(x(1),y(2),x(3),y(4),x(5..7),y(8)),dp;
    list flag=identifyvar();
    ideal J=x(1)^3*x(3)-y(2)*y(4)^2,x(5)*y(2)-x(7)*y(4)^2,x(6)^2*(1-y(4)*y(8)^5),x(7)^4*y(8)^2;
    list L=data(J,4,8);
    list Eo=EOrdlist(L[1],L[2],4,8,flag);
    Eo[1]; // E-order
    ==> 0
    Eo[2]; // generator giving the E-order
    ==> 1
    Eo[3]; // term giving the E-order
    ==> 2

User manual for Singular version 4.4.1, 2025, generated by texi2html.